<template>
  <div id="centerLeft1">
    <div class="bg-color-black">
      <div class="d-flex pt-2 pl-2">
        <span>
          <icon name="chart-pie" class="text-icon" style="color:#ffffff"></icon>
        </span>
        <div class="d-flex">
          <span class="fs-xl text mx-2" style="font-size:20px">空桶库区</span>
          <dv-decoration-3 class="dv-dec-3" />
        </div>
      </div>
      <div class="d-flex jc-center">
        <CenterLeft1Chart />
      </div>
      <!-- 4个主要的数据 -->
      <div class="bottom-data">
        <div class="item-box mt-2" v-for="(item, index) in numberData" :key="index">
          <div class="d-flex" style="width: 150px;">
            <span class="coin"></span>
            <dv-digital-flop class="dv-digital-flop" :config="item.number" />
          </div>
          <p class="text" style="text-align: center;width: 170px;">
            {{ item.text }}
          </p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "@/api/ajax.js"
import CenterLeft1Chart from "@/components/echart/centerLeft/centerLeft1Chart";
export default {
  data() {
    return {
      numberData: [
        {
          number: {
            number: [500],
            textAlign: "center",
            content: "{nt}",
            style: {
              fontSize: 24,
            },
          },
          text: "空货位",
        },
        {
          number: {
            number: [500],
            textAlign: "center",
            content: "{nt}",
            style: {
              fontSize: 24,
            },
          },
          text: "总货位",
        },
        {
          number: {
            number: [361],
            textAlign: "center",
            content: "{nt}",
            style: {
              fontSize: 24,
            },
          },
          text: "锁定货位",
        },
        {
          number: {
            number: [157],
            textAlign: "center",
            content: "{nt}",
            style: {
              fontSize: 24,
            },
          },
          text: "有货货位",
        },
      ],
      isSetinterval:true
    };
  },
  components: {
    CenterLeft1Chart,
  },
  mounted() {
    this.getLocationlist();
  },
  methods: {
    getLocationlist(){
      axios.post("/api/LED/LEDloctionList", null, "").then((res)=>{
        if(res.data.status){
          var data=res.data.data;
          this.numberData=[];
          data.areaBucket.forEach(x=> {
            this.numberData.push(
              {
                number: {
                number: [x.count],
                textAlign: "center",
                content: "{nt}",
                style: {
                  fontSize: 24,
                  },
                },
                text: x.name,
              }
            );
          });
          if(this.isSetinterval){
            setInterval(() => {
              this.getLocationlist();
              this.isSetinterval=false;
            }, 5000);
          }
        }
      })
    }
  }
};
</script>

<style lang="scss" scoped>
$box-width: 300px;
$box-height: 410px;

#centerLeft1 {
  padding: 16px;
  height: $box-height;
  width: $box-width;
  border-radius: 10px;
  .bg-color-black {
    height: $box-height - 30px;
    border-radius: 10px;
  }
  .text {
    color: #c3cbde;
  }
  .dv-dec-3 {
    position: relative;
    width: 100px;
    height: 20px;
    top: -3px;
  }

  .bottom-data {
    width: 195px;
    .item-box {
      & > div {
        padding-right: 5px;
      }
      font-size: 14px;
      float: right;
      position: relative;
      width: 50%;
      color: #d3d6dd;
      .dv-digital-flop {
        width: 120px;
        height: 30px;
      }
      // 金币
      .coin {
        position: relative;
        top: 6px;
        padding-left: 28px;
        font-size: 20px;
        color: #ffc107;
      }
      .colorYellow {
        color: yellowgreen;
      }
      p {
        text-align: center;
      }
    }
  }
}
</style>
